GET
/
assets
Get all the supported assets on the given chain.
curl --request GET \
  --url https://{environment}.garden.finance/v3/assets \
  --header 'garden-app-id: <api-key>'
{
  "status": "Ok",
  "error": "<string>",
  "result": [
    {
      "id": "arbitrum:wbtc",
      "name": "Wrapped Bitcoin:WBTC",
      "chain": "evm:42161",
      "icon": "<string>",
      "htlc": {
        "address": "<string>",
        "schema": "evm:htlc_erc20"
      },
      "token": {
        "address": "<string>",
        "schema": "evm:erc20"
      },
      "decimals": 8,
      "min_amount": "<string>",
      "max_amount": "<string>",
      "price": 1,
      "is_active": true
    }
  ]
}
Get all the supported assets on the given chain.

Authorizations

garden-app-id
string
header
required

If you do not yet have an app ID, please follow these steps.

Query Parameters

from

(Optional) Asset filter. Mainnet

Available options:
arbitrum:wbtc,
ethereum:wbtc,
arc:usdc,
base:cbbtc,
base:cbltc,
base:usdc,
bitcoin:btc,
bnbchain:btcb,
ethereum:cbbtc,
ethereum:usdc,
ethereum:usdt,
hypercore:usdc,
hypercore:usdc_perps,
hyperevm:ubtc,
ink:kbtc,
lightning:btc,
litecoin:ltc,
robinhood:cbbtc,
robinhood:usdg,
solana:cash,
solana:cbbtc,
solana:sol,
solana:usdc,
spark:btc,
starknet:strkbtc,
starknet:wbtc,
tempo:pathusd,
tempo:usdce

Response

200 - application/json

List of assets.

status
enum<string>
Available options:
Ok,
Error
error
string | null
result
Asset Information · object[]